Subject: Re: bug#18939: 24.4; middle-click sometimes pastes data other than the PRIMARY selection
From: Jan Djärv <[email-masked]>
To: Vincent Lefevre <[email-masked]>, Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Mar 2015 19:33:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.

It seems I introduced this bug when fixing 16382.

The analysis that mouse-drag-track has something to do with this is correct, 
however it is not pop-mark, it is deactivate-mark who sets PRIMARY wrongly 
sometimes (pop-mark may itself call deactivate-mark).

I have checked in a fix in the emacs-24 branch.

	Jan D.

Den 2015-03-22 02:42, Vincent Lefevre skrev:
> On 2015-03-21 18:25:01 -0400, Stefan Monnier wrote:
>>>> % emacs24 -Q    ; That's Debian's Emacs-24.4
>>>> M-< C-k
>>>> C-x 5 b *Messages*
>>>> drag-mouse-1               [ in *Messages*, to select "information" ]
>>> It step 3, it must be another window
>>
>> With C-x 5 b I did get another window (frame).
>
> Yes, but this also has the effect to do other operations in
> the Emacs process.
>
>>> (e.g. xterm, or even some other Emacs window at least if it is not the
>>> same process).
>>
>> I haven't tried with another Emacs process, but I did try with an xterm
>> and got the same result.
>> What do you get if you follow my recipe?
>
> Emacs behaves correctly in this case. Ditto if I do the
> C-x 5 b *Messages* before the M-< C-k. But if the other window
> belongs to a different process, the bug occurs.
>